Bug 252180 - [DOCUMENTATION] Updated information about Fedora Directory Server
[DOCUMENTATION] Updated information about Fedora Directory Server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: 389-ds-base (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
http://directory.fedoraproject.org/
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-14 11:21 EDT by Răzvan Sandu
Modified: 2011-04-25 19:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 12:22:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2007-08-14 11:21:43 EDT
Description of problem:

Hello,

Despite the fact that fedora-ds-base-1.1.0 is present in Fedora repository,
there are many missing pieces of information on
http://directory.fedoraproject.org/ that prevents a clean, problem-free
installation.

Missing information prevents practical installation; small number of
installations means less testing and less contributions from the final users.


To make FDS practically usable on Fedora 7, please provide on the site minimal
information about:


- installation instructions for *recent* versions of Fedora (Fedora 7 or 8 test 1);

- basic configuration of FDS after RPM installation (instructions must match the
actual file layout installed by RPM)

- a clear and updated list of actual prebuilt rpm packages that compose FDS, in
the current version

- instructions how to install a *recent* version of Java - why all information
refer to Sun or IBM java 1.4.2 or 5, when the most recent version is 6 ?

- instructions of how to install and use recent Java RPMs for Fedora 7 (maybe
from http://www.jpackage.org or
http://liquidat.wordpress.com/2007/05/31/howto-sun-java-on-fedora-7/)

- an explicit roadmap and possible timelines for future development


Regards,
Răzvan



Version-Release number of selected component (if applicable):
fedora-ds-base-1.1.0

How reproducible:
Always.

  
Actual results:
There are missing pieces of information on http://directory.fedoraproject.org,
preventing practical RPM installation of FDS without ugly manual hacking, even
for minimal usage and testing.

A clear and supported procedure of installing Java 6 on F7 is not given.

Information on http://directory.fedoraproject.org is very old (refers to many
obsoleted pieces of software or procedures).


Expected results:
At least minimal installation (supported) procedures should be provided - about
latest Java and FDS itself - to allow practical installations, from prebuilt
RPM, on the latest version of Fedora.

Recommended Java installation procedure should not interfere with other programs
installed on the system, that use Java.

The final goal is to easily obtain a fully functional FDS, at least for testing
and practical minimal usage, from recent prebuilt RPMs.
Comment 1 Rich Megginson 2008-01-14 12:22:14 EST
I think all of your issues have been addressed.  Please refer to the Fedora DS
web site for the latest information about Fedora DS 1.1.

Note You need to log in before you can comment on or make changes to this bug.